1. Reviews
WiserReview
  • Introduction
  • API Refrences
    • Authentication
      • Generate Token
    • Reviews
      • Get review list
        GET
      • Get reviews by product
        GET
      • Create review
        POST
    • Widgets
      • Star rating
      • Product Review
    • Product
      • Sync Product
  • Guides
    • Widgets
      • Plugins
      • Custom site
    • Webhooks
      • Introduction
    • Rich Snippet
      • Product Rich Snippet
    • Custom Ecommerce
      • API Verification Flow
  1. Reviews

Get reviews by product

GET
/v1/reviewsByProduct

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Bad Request
🔴500Internal Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.wiserreview.com/api/v1/reviewsByProduct?productId=&skuId=undefined&page=undefined&limit=undefined&from_date=undefined&to_date=undefined' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "success": true,
    "reviews": [
        {
            "_id": "string",
            "wsid": "string",
            "un": "string",
            "e": "string",
            "mde": "string",
            "ct": "string",
            "st": "string",
            "cn": "string",
            "i": "string",
            "ti": "string",
            "pid": "string",
            "pn": "string",
            "fa": "string",
            "rtng": 0,
            "rttl": "string",
            "rtxt": "string",
            "orgnlrtxt": "string",
            "cnid": [
                "string"
            ],
            "rvwst": 0,
            "shp": "string",
            "arrimg": [
                "string"
            ],
            "arrvdo": [
                "string"
            ],
            "arrvdoazr": [
                "string"
            ],
            "arrgrppid": [
                "string"
            ],
            "irplyprvt": true,
            "itstmnl": true,
            "ivrfd": true,
            "ipin": true,
            "cntupvt": 0,
            "cntdwnvt": 0,
            "ircmnd": true,
            "istsupdeml": true,
            "csvid": "string",
            "arrcustque": [
                "string"
            ],
            "ipblshfb": true,
            "arrtag": [
                "string"
            ],
            "pgid": "string",
            "cdt": "string",
            "isdmy": true,
            "__v": 0,
            "createdAt": "string",
            "udt": "string",
            "piu": "string",
            "pu": "string",
            "aitopics": [
                {
                    "key": "string",
                    "sentiment": "string"
                }
            ],
            "vrfdtyp": "string",
            "isembd": true
        }
    ],
    "has_more": true
}
Modified at 2026-08-18 09:08:13
Previous
Get review list
Next
Create review
Built with